﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;

<script src="~/Scripts/ASPxScriptIntelliSense.js" type="text/javascript"></script>
<script type="text/javascript">
var currentOrderReleaseDate;

function OnHyperLinkClick(order_Release_Date_Regular) 
{
    currentOrderReleaseDate = order_Release_Date_Regular;
    GRDetailGrid.PerformCallback();
}

function OnDetailGridBeginCallback(s, e) 
{
    e.customArgs["Order_Release_Date_Regular"] = currentOrderReleaseDate;
}

function OnDetailGridEndCallback(s, e) 
{
    if (!popupDetail.IsVisible())
        popupDetail.Show();
}

function ClearItem(s, e) {
    LookupSupplier.SetText('');
    LookupDockCode.SetText('');
    ManifestNo.SetText('');
    DateFrom.SetText('');
    DateTo.SetText('');

}
</script>
<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="padding-bottom:8px; padding-right:4px;">Supplier</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "LookupSupplier";
                s.GridProperties.KeyFieldName = "SupplierCode";
                s.Width = 120;
                
                s.GridProperties.CallbackRouteValues = new { Controller = "DailyOrder", Action = "CallbackSupplier" };

                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                
                s.GridProperties.SettingsPager.PageSize = 100;
                s.GridProperties.SettingsPager.AlwaysShowPager = true;
                s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = false;
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCode";
                    c.Caption = "Supplier Code";
                    c.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";
                });
            }
        ).Bind(ViewData["GridSupplier"]).GetHtml()
        </td>
        <td style="padding-bottom:8px; padding-right:4px;">Dock Code</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlDock";
                s.GridProperties.KeyFieldName = "DockCode";
                s.Width = 120;
                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(180);
                s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "DockCodePartial" };
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                s.GridProperties.SettingsPager.PageSize = 100;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockCode";
                    c.FieldName = "DockCode";
                    c.Caption = "Dock Code";
                    c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockName";
                    c.FieldName = "DockName";
                    c.Caption = "Dock Name";
                    c.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
            }
        ).Bind(ViewData["DockCode"]).GetHtml()
        </td>
        <td nowrap="nowrap" style="padding-bottom:8px; padding-right:4px;">Manifest No</td>
        <td style="padding-bottom:8px; padding-right:0px; margin-right:0px;">
        @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "ManifestNo";
                settings.Width = 130;
            }
        ).GetHtml()                    
        </td>
    </tr>
    <tr>
        <td style="padding-bottom:8px; padding-right:4px;" nowrap="nowrap">Order Release Date</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "DateFrom";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 120;
            }
        ).GetHtml()
        </td>
        <td style="padding-bottom:8px; padding-right:4px;">To</td>
        <td style="padding-bottom:8px; padding-right:10px;">
        @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "DateTo";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 120;
            }
        ).GetHtml()                    
        </td>
    </tr>
    <tr>
        <td colspan="3">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td style="padding-right:10px;">
                @Html.DevExpress().Button(
                settings =>
                    {
                        settings.Name = "btnDownload";
                        settings.Text = "Download List";
                        settings.Width = 100;
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "DownloadList";
                    }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                    settings =>
                        {
                            settings.Name = "btnView";
                            settings.Text = "View Detail";
                            settings.Width = 100;
                            settings.UseSubmitBehavior = true;
                            settings.ControlStyle.CssClass = "dxDisplayInline";
                            settings.ClientSideEvents.Click = "ViewDetail";
                        }
                    ).GetHtml()

                    

                </td>
            </tr>
        </table>
        </td>
        <td align="right" colspan="3">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td style="padding-right:10px;">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnSearch";
                        settings.Text = "Search";
                        settings.Width = 80;
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "ReloadGridView";
                    }
                ).GetHtml()
                </td>
                <td>
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnClear";
                        settings.Text = "Clear";
                        settings.Width = 80;
                        settings.UseSubmitBehavior = true;
                        settings.ClientSideEvents.Click = "ClearItem";
                    }
                ).GetHtml()                    
                </td>
            </tr>
        </table>                  
        </td>
    </tr>
</table>